clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ClassTemplateDecl::Common Struct Reference

Data that is common to all of the declarations of a given class template. More...

`#include "clang/AST/DeclTemplate.h"`

Inheritance diagram for clang::ClassTemplateDecl::Common:
[legend]
Collaboration diagram for clang::ClassTemplateDecl::Common:
[legend]

## Public Member Functions
| Common ()=default

## Public Attributes
llvm::FoldingSetVector< ClassTemplateSpecializationDecl > | Specializations
| The class template specializations for this class template, including explicit specializations and instantiations. More...
llvm::FoldingSetVector< ClassTemplatePartialSpecializationDecl > | PartialSpecializations
| The class template partial specializations for this class template. More...
QualType | InjectedClassNameType
| The injected-class-name type for this class template. More...

## Detailed Description

Data that is common to all of the declarations of a given class template.

Definition at line 2053 of file DeclTemplate.h.

## Constructor & Destructor Documentation

## ◆ Common()

clang::ClassTemplateDecl::Common::Common | ( |  | ) |
| default

## Member Data Documentation

## ◆ InjectedClassNameType

QualType clang::ClassTemplateDecl::Common::InjectedClassNameType

The injected-class-name type for this class template.

Definition at line 2064 of file DeclTemplate.h.

Referenced by clang::ClassTemplateDecl::getInjectedClassNameSpecialization().

## ◆ PartialSpecializations

llvm::FoldingSetVector<ClassTemplatePartialSpecializationDecl> clang::ClassTemplateDecl::Common::PartialSpecializations

The class template partial specializations for this class template.

Definition at line 2061 of file DeclTemplate.h.

## ◆ Specializations

llvm::FoldingSetVector<ClassTemplateSpecializationDecl> clang::ClassTemplateDecl::Common::Specializations

The class template specializations for this class template, including explicit specializations and instantiations.

Definition at line 2056 of file DeclTemplate.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclTemplate.h